<template>
  <view class="content">
    <PatriarchCard />
    <AboutMine />
  </view>
</template>

<script setup lang="ts">
import { onShow } from '@dcloudio/uni-app'

import PatriarchCard from './patriarchCard.vue'
import AboutMine from './aboutMine.vue'
import { badgeStore } from '@/store/badge'

const { refreshBadge } = badgeStore()

onShow(async () => {
  refreshBadge()
})
</script>

<style scoped lang="scss">
.content {
  padding: 30rpx;
}
</style>
